Compiling error having two nvidia cuda compatible graphic cards

Post Reply
jandrey
Posts: 7
Joined: Mon May 06, 2019 9:07 am
company / institution: WaltR
Location: Toulouse

Compiling error having two nvidia cuda compatible graphic cards

Post by jandrey »

Hi, After installing in my computer a second card graphic (RTX-2080Ti) I got the following compilation error:

CompileError: nvcc preprocessing of /tmp/tmpm7dp714n.cu failed
[command: nvcc --preprocess -DDOUBLE -DBIAS -DPHILOX -arch sm_75 -I/nfs/sdb1/RTMs/smartg/smartg/src/ -I/nfs/sdb1/RTMs/smartg/smartg/src/incRNGs/Random123/ -I/home/smartg/anaconda3/envs/smartg/lib/python3.6/site-packages/pycuda-2017.1-py3.6-linux-x86_64.egg/pycuda/cuda /tmp/tmpm7dp714n.cu --compiler-options -P]
[stderr:
b"nvcc fatal : Value 'sm_75' is not defined for option 'gpu-architecture'\n"]


My first graphic card is Nvidia Quadro P2000.

How I should procceed to select the correct graphic card ? Is ti a problem related to drivers ?

Thanks in advance,
Javier
User avatar
LaurentWandrebeck
Site Admin
Posts: 11
Joined: Fri Sep 07, 2018 1:07 pm
company / institution: HYGEOS

Re: Compiling error having two nvidia cuda compatible graphic cards

Post by LaurentWandrebeck »

Hello,

it looks like you’re running Cuda 9 which does not support sm_75. You can either use sm_70 or cuda 10.
To select the card you want the code to run on:
check with nvidia-smi cards numbers (first number before card hardware name, called GPU).
When launching Smartg function, add as parameter device=card#

HTH,
Laurent Wandrebeck
IT Manager
jandrey
Posts: 7
Joined: Mon May 06, 2019 9:07 am
company / institution: WaltR
Location: Toulouse

Re: Compiling error having two nvidia cuda compatible graphic cards

Post by jandrey »

Hi again,

Effectively, I was using cuda v9, so I have install the latest CUAD 10.2 from NVIDIA repositories. Now the problem is that it does not found the library

"libcurand.so.8.0"

How is it possible to overpass this problems of versions ? If i well understand, the pycuda installed version from lukepfister.. is the 8

Thansk in advance,
Javier
User avatar
LaurentWandrebeck
Site Admin
Posts: 11
Joined: Fri Sep 07, 2018 1:07 pm
company / institution: HYGEOS

Re: Compiling error having two nvidia cuda compatible graphic cards

Post by LaurentWandrebeck »

Hi,

We will update README when next version is to be released. lukepfister pycuda version is indeed old. You can easy replace it with

Code: Select all

pip install pycuda
(you may have to uninstall lukepfister version first) which should do the trick.

HTH,
Laurent Wandrebeck
IT Manager
Post Reply